CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2004-0413

libsvn_ra_svn in Subversion 1.0.4 trusts the length field of (1) svn://, (2) svn+ssh://, and (3) other svn protocol URL strings, which allows remote attackers to cause a denial of service (memory consumption) and possibly execute arbitrary code via an integer overflow that leads to a heap-based buffer overflow.
Publish Date : 2004-08-06 Last Update Date : 2008-09-05
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
10.0
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access Admin
Vulnerability Type(s) Denial Of ServiceExecute CodeOverflow
CWE ID CWE id is not defined for this vulnerability

- Products Affected By CVE-2004-0413

# Product Type Vendor Product Version Update Edition Language
1 Application Openpkg Openpkg Version Details Vulnerabilities
2 Application Openpkg Openpkg 2.0 Version Details Vulnerabilities
3 Application Subversion Subversion 1.0 Version Details Vulnerabilities
4 Application Subversion Subversion 1.0.1 Version Details Vulnerabilities
5 Application Subversion Subversion 1.0.2 Version Details Vulnerabilities
6 Application Subversion Subversion 1.0.3 Version Details Vulnerabilities
7 Application Subversion Subversion 1.0.4 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Openpkg Openpkg 2
Subversion Subversion 5

- References For CVE-2004-0413

http://subversion.tigris.org/security/CAN-2004-0413-advisory.txt CONFIRM
http://www.gentoo.org/security/en/glsa/glsa-200406-07.xml
GENTOO GLSA-200406-07
http://www.novell.com/linux/security/advisories/2004_18_subversion.html
SUSE SuSE-SA:2004:018
http://www.securityfocus.com/advisories/6847
FEDORA FEDORA-2004-165
http://www.securityfocus.com/bid/10519
BID 10519 Subversion SVN Protocol Parser Remote Integer Overflow Vulnerability Release Date:2009-07-12
https://bugzilla.fedora.us/show_bug.cgi?id=1748
FEDORA FLSA:1748
http://xforce.iss.net/xforce/xfdb/16396
XF subversion-svn-bo(16396)
http://www.securityfocus.com/archive/1/365836
BUGTRAQ 20041012 [FMADV] Subversion <= 1.04 Heap Overflow

- Metasploit Modules Related To CVE-2004-0413

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.